@use "../theme";
@use "../helpers/typography-mixins";

.validator-report {
    display: grid;
    gap: 0 theme.$spacing06;

    @media only screen and (min-width: theme.$sm) {
        grid-template-columns: 1fr 15rem;
    }

    &__intro {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        grid-column: 1 / span 2;
        margin-bottom: theme.$spacing07;

        @media only screen and (min-width: theme.$sm) {
            margin-bottom: 0;
            grid-column: 1 / span 1;
        }

        &__title {
            font-size: theme.$fontSizeLarge;

            @media only screen and (min-width: theme.$sm) {
                font-size: 1.5rem;
            }
        }

        p {
            @include typography-mixins.p-large();
        }

        &__link {
            display: flex;
            justify-content: center;
            align-items: center;
            font-weight: bold;
            text-decoration: none;
            font-size: theme.$fontSizeMedium;

            svg {
                margin-right: theme.$spacing02;
            }
        }
    }

    &__aside {
        grid-column: 1 / span 2;
        margin-bottom: theme.$spacing07;

        @media only screen and (min-width: theme.$sm) {
            margin-bottom: 0;
            flex-direction: row;
            grid-column: 2 / span 1;
        }

        &__details {
            margin: theme.$spacing02 0;

            @media only screen and (min-width: theme.$sm) {
                margin: theme.$spacing03 0;
            }

            &__spec {
                display: flex;
                align-items: center;

                a {
                    text-decoration: none;
                    font-weight: bold;
                }

                svg {
                    margin-right: theme.$spacing02;
                }
            }
        }
    }

    &__results {
        grid-column: 1 / span 2;

        @media only screen and (min-width: theme.$lg) {
            grid-column: 1 / span 1;
        }
    }
}
